@media screen and (min-width: 768px) {
    .text-card > div {
        width: 55%;
    }
    .text-card > h4:nth-child(1) {
        font-size: 1.7rem;
    }
    .yellow-border-box {
        font-size: clamp(32px, 5vw, 40px);
        padding: 5px 20px;
    }
    .enroll-btn {
        width: 50%;
        font-size: 20px;
    }
}

@media screen and (max-width: 767px) {
    .enrollment-section {
        margin-top: -10px;
        margin-bottom: 10px;
    }
    .text-card {
        padding: 16px;
    }
    .text-card > div {
        width: 100%;
    }
    .text-card > h4:nth-child(1) {
        font-size: clamp(14px, 5vw, 32px);
    }
    .yellow-border-box {
        font-size: clamp(24px, 5vw, 40px);
        padding: 5px 20px;
    }
    .enroll-btn {
        width: 95%;
        font-size: clamp(13px, 4vw, 30px);
        text-align: center;
    }
}

/** campaign banner **/
/* pc */
.campaign-banner-section.section-pc>.campaign-banner {
    width: 100%;
    height: fit-content;
    clip-path: ellipse(95% 100% at 45% 0%);
    background-color: white;
    position: relative;
}

.campaign-banner-section.section-pc>.campaign-banner>.campaign-banner-img {
    width: 100%;
    aspect-ratio: 5/2;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    clip-path: ellipse(90% 96% at 50% 0%);
    position: relative;
}

.campaign-banner-section.section-pc>.campaign-banner>.campaign-banner-img>.left-text {
    position: absolute;
    color: #ff026f;
    font-weight: bold;
    font-size: clamp(24px, 2.2vw, 46px);
    bottom: 20%;
    left: 10%;
    background-color: rgba(255, 255, 255, 0.9);
    border-top-right-radius: 20px;
    border-bottom: 4px solid #ff026f;
    padding: 30px;
    width: 40%;
}

/* sp */
.campaign-banner-section.section-sp>.campaign-banner {
    width: 100vw;
    height: fit-content;
}

.campaign-banner-section.section-sp>.campaign-banner>.campaign-banner-img {
    width: 100%;
}
.campaign-banner-section.section-sp>.campaign-banner>.campaign-banner-img > img {
    width: 100%;
    padding-top: 25px;
}

.campaign-banner-section.section-sp>.campaign-banner>.campaign-banner-img>.left-text {
    position: absolute;
    color: #ff026f;
    font-weight: bold;
    font-size: 3vw;
    bottom: 3%;
    left: 0;
    background-color: rgba(255, 255, 255, 0.9);
    border-top-right-radius: 10px;
    border-bottom: 4px solid #ff026f;
    padding: 20px;
    width: 40%;
}
/** campaign banner **/

/* enrollment */
.enrollment-section {
    position: relative;
    z-index: 1;
}
.bg-03 {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 40px;
    background-color: rgba(254, 245, 248, 0);
}
.title {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    color: #ff026f;
    font-weight: bold;
    line-height: 1.7;
    gap: 10px;
    font-size: clamp(16px, 3vw, 24px);;
}
.pink-text {
    color: #ff026f;
}
.enrollment-step-container {
    display: flex;
    width: 95%;
    max-width: 1000px;
    gap: clamp(15px, 5vw, 30px);
}
.enrollment-step-container > .left-part {
    display: flex;
    flex-direction: column;
    gap: 5px;
    width: fit-content;
    align-items: center;
    color: #ff026f;
    font-size: 14px;
    font-weight: bold;
    line-height: 1;
}
.enrollment-step-container > .left-part > p:nth-child(2) {
    font-size: clamp(20px, 5vw, 40px);
}
.enrollment-step-container > .left-part > .line {
    width: 2px;
    height: 100%;
    background-color: #ff026f;
}
/* pc */
.enrollment-step-container > .right-part {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 30px;
    padding-bottom: 30px;
}
.img-card {
    width: 100%;
    background-color: #fff;
    border-radius: 25px;
    display: flex;
    box-shadow: 0 0px 10px 0 rgba(237, 225, 229, 0.8);
}
.enrollment-step-container .img-card > img {
    width: 25%;
    border-radius: 20px 0 0 20px;
}
.enrollment-step-container:nth-child(2) .img-card > img {
    width: 25%;
    padding: 30px 30px 30px 50px;
    background-color: #fbd8e1;
}
.img-card > .text-container {
    width: 75%;
    padding: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    font-size: 16px;
    line-height: 1.7;
}

.img-card > .text-container > h3:nth-child(1) {
    font-size: 1.7rem;
    font-weight: bold;
    color: #ff026f;
}
.text-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    background-color: #fffdcd;
    padding: 30px;
    gap: 10px;
}
.text-card > h4:nth-child(1) {
    font-weight: bold;
    color: #ff026f;
}

.text-card > p:nth-child(2) {
    color: #646464
}
.text-card > div {
    background-color: #646464;
    color: #fff;
    aspect-ratio: 16/9;
    font-size: clamp(12px, 4vw, 24px);
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}
.enroll-btn {
    padding: clamp(15px, 3vw, 23px);
    font-weight: bold;
    background-color: #ff026f;
    color: #fff;
    min-width: fit-content;
    border-radius: 10px;
    box-shadow: 0 3px 0 0 #fd8cb2;
}
.enroll-btn > img {
    width: clamp(12px, 5vw, 40px);
}
/* end pc */

/* sp */
.enrollment-card {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    background-color: #fff;
    border-radius: 20px;
    border: 3px solid #ede1e5;
}
.enrollment-step-container:nth-child(2) > .enrollment-card {
    padding: 20px 0;
}
.enrollment-card > img {
    width: 100%;;
}
.enrollment-card > .caption {
    font-size: clamp(16px, 5vw, 32px);
    font-weight: bold;
    color: #ff026f;
}
.enrollment-card > .content {
    width: fit-content;
    font-size: clamp(12px, 3vw, 16px);
    line-height: 1.7;
    padding: 0 20px 20px;
}

/* end sp */

/* end enrollment */

/********************************

	KVはじまり

********************************/

.campaign-banner {
    width: 100%;
    height: fit-content;
    clip-path: ellipse(95% 100% at 45% 0%);
    background-color: white;
    position: relative;
}

.campaign-banner>.campaign-banner-img {
    height: 500px;
    width: 100%;
    aspect-ratio: 5/2;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    clip-path: ellipse(90% 96% at 50% 0%);
    position: relative;
    background-image: url(/common/images/renew/flow/kv-flow.webp);
    margin: 0 auto;
}

.kv-page-name {
    position: absolute;
    color: #ff026f;
    font-weight: bold;
    font-size: clamp(24px, 2.2vw, 46px);
    bottom: 20%;
    left: 18%;
    background-color: rgba(255, 255, 255, 1);
    border-top-right-radius: 15px;
    border-bottom: 4px solid #ff026f;
    padding: 15px 30px;
}

.kv-page-name > p {
    font-size: clamp(16px, 1.5vw, 32px);
    display: inline-block;
}



.price-lesson-banner {
    position: absolute;
    top: 20vw;
    right: 31vw;
    width: 12vw;
    min-width: 120px;
}
.price-fee-banner {
    position: absolute;
    top: 20vw;
    right: 18vw;
    width: 12vw;
    min-width: 120px;
}

.price-lesson-banner>img,
.price-fee-banner>img {
    width: 100%;
}
.campaign-banner-section {
    position: relative;
    padding-bottom: 120px;
}

@media screen and (max-width: 767px) {
    .kv-position {
        position: relative;
        top: -50px;
    }
    .campaign-banner {
        clip-path: none;
        background-color: none;
    }
    .campaign-banner>.campaign-banner-img {
        height: 230px;
        clip-path: none;
        background-position: -270px 20px;
    }
    .campaign-banner-section {
        padding-bottom: 10px;
    }
    .price-lesson-banner {
        position: absolute;
        bottom: 0;
        right: 23vw;
        width: 12vw;
        min-width: 80px;
        top: 35vw;
    }
    .price-fee-banner {
        position: absolute;
        bottom: 0;
        right: 2vw;
        width: 12vw;
        min-width: 80px;
        top: 35vw;
    }
    .kv-page-name {
        left: 0%;
        font-size: 5vw;
        padding: 7px 15px;
        bottom: 10%;
    }
}

/********************************

	KVおわり

********************************/

/********************************

	セクションタイトル_はじまり

********************************/
.second-tit-mt {
    margin-top: 80px;
}
.contents-title-area {
    width: 100%;
    background-color: #fef6f8;
    text-align: center;
    color: #ff026f;
    padding: 0 0 30px 0;
    display: flex;
    flex-direction: column;
    gap: 30px;
    justify-content: center;
    align-items: center;
}
.contents-title {
    width: fit-content;
    padding: 0 20px;
    font-weight: bold;
    font-size: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    margin-bottom: 30px;
}
.yellow-border-box {
    width: fit-content;
    padding: 5px 10px;
    font-size: 40px;
    border-top: 2px solid #b7a35c;
    border-bottom: 2px solid #b7a35c;
    text-align: center;
    color: #ff026f;
    font-weight: bold;
}


@media screen and (max-width: 767px) {
    
    .contents-title-area {
        padding: 0;
    }
    
    .yellow-border-box {
        font-size: 28px;
    }
    .contents-title {
        font-size: 16px;
        gap: 5px;
    }
    .bg-03 {
        gap: 10px;
    }

}
/********************************

	セクションタイトル_おわり

********************************/

/********************************

	ステップ_はじまり

********************************/
.embed-responsive {
    margin-bottom: 0;
}
.dance-movie-block {
    margin: 10px auto 20px;
}
@media screen and (max-width: 767px) {
    .img-card {
        flex-flow: column;
        border-radius: 14px;
    }
    .enrollment-step-container:nth-child(2) .img-card > img {
        display: none;
    }
    .img-card > .text-container {
        width: 100%;
        font-size: 14px;
        line-height: 1.8;
        box-sizing: border-box;
    }
    .img-card > .text-container > h3:nth-child(1) {
        text-align: center;
        font-size: 1.1rem;
    }
    .enrollment-step-container {
        gap: clamp(12px, 3vw, 30px);
        width: auto;
        margin: 0 20px 30px;
    }
    .embed-responsive {
        margin-bottom: 0;
    }
    .text-card {
        padding: 15px 15px 25px 15px;
    }
    .text-card > p:nth-child(2) {
        font-size: 14px;
    }
    .enroll-btn {
        width: 100%;
        padding: 10px 0;
    }
    .dance-movie-block {
        margin: 10px auto 10px;
    }

}
